# -*- coding: UTF-8 -*-
import os
import sys
import ConfigParser
import trim_db

config = ConfigParser.RawConfigParser()
if not config.read('config.ini'):
    sys.exit(1)

def callTrim(sectionName, actual_days):
    host = config.get(sectionName, 'host')
    port = config.getint(sectionName, 'port')
    user = config.get(sectionName, 'user')
    passwd = config.get(sectionName, 'passwd')
    db = config.get(sectionName, 'db').replace('dictionaries', 'artixcs')
    tables = [t.strip() + 'Temp' if 'artixcs' in db and not t.endswith('Temp') else t.strip() for t in config.get(sectionName, 'tables').split(',')]
    trim_db.trim(host, port, user, passwd, db, tables, actual_days)

sales_actual_days = config.getint('MAIN', 'sales_actual_days')
if sales_actual_days > 0:
    callTrim('SALES_DB', sales_actual_days)

dictionaries_actual_days = config.getint('MAIN', 'dictionaries_actual_days')
if dictionaries_actual_days > 0:
    callTrim('DICTIONARIES_DB', dictionaries_actual_days)
